package net.northking.cctp.scriptcase.feign.dto;

import java.io.Serializable;

/**
 * <p>Title: AtuExceptionCase</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/02/07
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuExceptionCase implements Serializable {

    /**
     * 调度主键<br>
     */
    private String batchId;
    /**
     * 脚本主键<br>
     */
    private String scriptId;
    /**
     * 脚本名称<br>
     */
    private String scriptName;
    /**
     * 脚本存放地址<br>
     */
    private String scriptJson;
    /**
     * 用例主键<br>
     */
    private String caseId;
    /**
     * 用例编号<br>
     */
    private String caseNo;
    /**
     * 用例名称<br>
     */
    private String caseName;
    /**
     * 用例类型;1-接口，2-PC/BS，3-PC/CS，4-安卓，5-ios，6-场景用例<br>
     */
    private String caseType;
    /**
     * 用例参数<br>
     */
    private String caseParam;

    /**
     * 错误信息
     */
    private String errorMsg;

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptJson() {
        return scriptJson;
    }

    public void setScriptJson(String scriptJson) {
        this.scriptJson = scriptJson;
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public String getCaseNo() {
        return caseNo;
    }

    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }

    public String getCaseName() {
        return caseName;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public String getCaseParam() {
        return caseParam;
    }

    public void setCaseParam(String caseParam) {
        this.caseParam = caseParam;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
